AbsEmbedder
===========

.. autoclass:: FlagEmbedding.abc.inference.AbsEmbedder

Methods
-------

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.get_target_devices

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.get_detailed_instruct

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.encode_queries

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.encode_corpus

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.encode

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.encode_single_device

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.start_multi_process_pool

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder._encode_multi_process_worker

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.stop_multi_process_pool

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder.encode_multi_process

.. automethod:: FlagEmbedding.abc.inference.AbsEmbedder._concatenate_results_from_multi_process